#
# spec file for package mvel2
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mvel2
Version:        2.2.6.Final
Release:        2.44.uyuni3
Summary:        MVEL is a powerful expression language for Java-based
License:        Apache-2.0 AND BSD-3-Clause
Group:          Development/Libraries/Java
URL:            http://mvel.codehaus.org/
Source0:        mvel2-2.2.6.Final.tar.gz
Source1:        build.sh
Patch0:         mvel2-2.2.6.Final-jdk9.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires: xmvn-tools
BuildRequires: xmvn-minimal
BuildRequires:  java-devel
BuildArch:      noarch
Provides:       mvn(org.mvel:mvel2) == 2.2.6.Final
Requires:       java

%description
MVEL is a powerful expression language for Java-based applications. It provides a plethora of features and is suited for everything from the smallest property binding and extraction, to full blown scripts

%prep
%setup -q -c -n src
%patch0 -p1
cp -f %{SOURCE1} .

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a mvel-mvel2-2.2.6.Final/target/mvel2-2.2.6.Final.jar %{buildroot}%{_javadir}/mvel2-2.2.6.Final.jar
ln -sf mvel2-2.2.6.Final.jar %{buildroot}%{_javadir}/mvel2.jar

%files
%defattr(-,root,root)
%license mvel-mvel2-2.2.6.Final/LICENSE.txt mvel-mvel2-2.2.6.Final/ASM-LICENSE.txt
%{_javadir}/*

%changelog
* Wed Jun  8 2022 Julio González Gil <jgonzalez@suse.com>
- Declare the LICENSE file as license and not doc
* Wed Nov  8 2017 jgonzalez@suse.com
- Fix build for JDK9
- Add:
  * mvel2-2.2.6.Final-jdk9.patch
* Tue Jan 17 2017 mc@suse.de
- remove unused patch 0001-fix-tests.patch
* Mon Nov  9 2015 mc@suse.de
- add unversioned symlink to jar
* Mon Nov  9 2015 mc@suse.de
- initial version 2.2.6
